<template>
  <v-col cols="12" sm="6" md="4">
    <section class="pt-10 pb-10">
      <v-card class="mx-auto" max-width="500">
        <nuxt-link
          :to="localePath({ name: 'blog-slug', params: { slug: blog.name } })"
        >
          <v-img
            v-if="blog.hero"
            class="lazyload white--text"
            height="200px"
            :src="require(`~/assets/images/blog/${blog.hero}`)"
            :srcset="require(`~/assets/images/blog/${blog.hero}`).srcSet"
          >
            <template v-slot:placeholder>
              <v-row class="fill-height ma-0" align="center" justify="center">
                <v-progress-circular
                  indeterminate
                  color="grey lighten-5"
                ></v-progress-circular>
              </v-row>
            </template>
          </v-img>
          <v-img
            v-else
            class="lazyload white--text align-end"
            height="200px"
            :src="require(`~/assets/images/blog/${blog.default}`)"
            :srcset="require(`~/assets/images/blog/${blog.default}`)"
            :lazy-src="require(`~/assets/images/blog/${blog.default}`)"
          >
          </v-img>
        </nuxt-link>
        <nuxt-link
          :to="localePath({ name: 'blog-slug', params: { slug: blog.name } })"
        >
          <v-card-title>
            {{ blog.title }}
          </v-card-title>
        </nuxt-link>

        <v-card-subtitle class="pb-0">{{ blog.year }}</v-card-subtitle>

        <v-card-text class="text--primary">
          <div>{{ blog.description }}</div>
        </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="orange"
            text
            :to="localePath({ name: 'blog-slug', params: { slug: blog.name } })"
          >
            بیشتر بخوانید
          </v-btn>
        </v-card-actions>
      </v-card>
    </section>
  </v-col>
</template>

<script>
export default {
  name: 'BlogCard',
  props: {
    blog: {
      type: Object,
      required: true,
    },
  },
};
</script>
